Imports Microsoft.VisualBasic

<Serializable()> _
Public Class WebCrawledPage
    Private _DBTableID As Integer
    Private _title As String
    Private _keywords As String
    Private _HBXPageName As String
    Private _HBXPageCategory As String
    Private _PageDescription As String
    Private _styleSheetURL As String
    Private _searchWords As String
    Private _searchRanking As Integer
    Private _createDate As Date
    Private _modifiedDate As Date
    Private _pageURL As String

    Public Property Title() As String
        Get
            Return _title
        End Get
        Set(ByVal value As String)
            _title = value
        End Set
    End Property
    Public Property DBTableID() As Integer
        Get
            Return _DBTableID
        End Get
        Set(ByVal value As Integer)
            _DBTableID = value
        End Set
    End Property
    Public Property PageKeywords() As String
        Get
            Return _keywords
        End Get
        Set(ByVal value As String)
            _keywords = value
        End Set
    End Property
    Public Property HBXPageName() As String
        Get
            Return _HBXPageName
        End Get
        Set(ByVal value As String)
            _HBXPageName = value
        End Set
    End Property
    Public Property HBXPageCategory() As String
        Get
            Return _HBXPageCategory
        End Get
        Set(ByVal value As String)
            _HBXPageCategory = value
        End Set
    End Property
    Public Property PageDescription() As String
        Get
            Return _PageDescription
        End Get
        Set(ByVal value As String)
            _PageDescription = value
        End Set
    End Property
    Public Property StyleSheetURL() As String
        Get
            Return _styleSheetURL
        End Get
        Set(ByVal value As String)
            _styleSheetURL = value
        End Set
    End Property
    Public Property searchWords() As String
        Get
            Return _searchWords
        End Get
        Set(ByVal value As String)
            _searchWords = value
        End Set
    End Property
    Public Property SearchRanking() As Integer
        Get
            Return _searchRanking
        End Get
        Set(ByVal value As Integer)
            _searchRanking = value
        End Set
    End Property
    Public Property CreateDate() As Date
        Get
            Return _createDate
        End Get
        Set(ByVal value As Date)
            _createDate = value
        End Set
    End Property
    Public Property ModifiedDate() As Date
        Get
            Return _modifiedDate
        End Get
        Set(ByVal value As Date)
            _modifiedDate = value
        End Set
    End Property
    Public Property pageURL() As String
        Get
            Return _pageURL
        End Get
        Set(ByVal value As String)
            _pageURL = value
        End Set
    End Property

End Class
